html {
  box-sizing: border-box; }

*, *:before, *:after {
  box-sizing: inherit; }

body {
  font-family: 'Montserrat', sans-serif;
  font-size: 14px;
  color: #333; }

p {
  margin: 0 0 10px; }

#root {
  margin: 30px 0;
  display: flex;
  justify-content: center; }

/* Placeholder color */
*::-webkit-input-placeholder {
  color: #8298B9; }

*:-moz-placeholder {
  color: #8298B9;
  /* FF 4-18 */ }

*::-moz-placeholder {
  color: #8298B9;
  /* FF 19+ */ }

*:-ms-input-placeholder {
  color: #8298B9;
  /* IE 10+ */ }

.profile-container {
  width: 320px;
  border-radius: 5px;
  padding: 36px 17px 0 17px;
  background: linear-gradient(#002C71 95px, #FFF 95px);
  box-shadow: 0 0 4px 0 rgba(172, 172, 172, 0.5);
  border-bottom: 1px solid white; }
  @media (min-width: 530px) {
    .profile-container {
      width: 500px; } }

.profile-card {
  position: relative;
  padding: 0 20px 17px 20px;
  border-radius: 5px;
  background-color: #FFF;
  box-shadow: 0 0 4px 0 rgba(172, 172, 172, 0.5); }
  @media (min-width: 530px) {
    .profile-card {
      padding: 20px 20px 28px 20px; } }
  .profile-card__share-btn {
    position: absolute;
    top: 10px;
    right: 10px;
    color: #FFA640;
    cursor: pointer; }
  .profile-card__details {
    display: flex;
    flex-direction: column;
    align-items: center; }
    @media (min-width: 530px) {
      .profile-card__details {
        flex-direction: row; } }
  .profile-card__img {
    width: 70px;
    height: 70px;
    border-radius: 50%;
    margin-top: -50px; }
    @media (min-width: 530px) {
      .profile-card__img {
        margin-top: 0; } }
  .profile-card__info {
    text-align: center; }
    @media (min-width: 530px) {
      .profile-card__info {
        margin-left: 18px;
        text-align: left; } }
  .profile-card__fullname {
    margin: 15px -10px 0 0;
    color: #002C71;
    font-size: 18px; }
  .profile-card__like-icon {
    margin-left: 10px;
    font-size: 12px !important;
    color: #D9D9D9;
    cursor: pointer; }
  .profile-card__like-icon--active {
    animation: likeEffect 1s 1;
    color: #FF4136; }

@keyframes likeEffect {
  50% {
    transform: scale(2); } }
  .profile-card__address {
    font-size: 12px;
    color: #8298B9; }
  .profile-card__summary {
    display: flex;
    flex-direction: column;
    margin-top: 20px; }
    @media (min-width: 530px) {
      .profile-card__summary {
        flex-direction: row; } }
  @media (min-width: 530px) {
    .profile-card__widgets {
      width: 60%; } }
  .profile-card__follow-btn {
    margin-top: 20px; }
    @media (min-width: 530px) {
      .profile-card__follow-btn {
        margin-top: 0;
        margin-left: 30px; } }

.widgets {
  display: flex;
  flex-direction: row;
  justify-content: space-between; }
  .widgets__widget {
    min-width: 55px;
    text-align: center; }
  .widgets__separator {
    background: rgba(151, 151, 151, 0.1);
    width: 1px; }
  .widgets__counter {
    margin-bottom: 0;
    font-size: 24px;
    color: #FFA640; }
  .widgets__title {
    margin-bottom: 0;
    font-size: 10px;
    color: #979797; }

.button {
  padding: 14px 27px;
  border: none;
  border-radius: 100px;
  font-weight: 600;
  color: #FFF;
  letter-spacing: 4.2px;
  cursor: pointer; }
  .button:focus {
    outline: 0; }
  .button:hover {
    transition: all 0.3s;
    opacity: 0.85; }
  .button:active {
    opacity: 0.7; }
  .button--orange {
    background-color: #FFA640; }
  .button--disabled {
    background-color: #D3D3D3; }

.timeline {
  margin-top: 10px;
  margin-bottom: -60px;
  padding-top: 25px;
  box-shadow: 0 0 4px 0 rgba(172, 172, 172, 0.5);
  border-radius: 5px; }
  @media (min-width: 530px) {
    .timeline {
      margin-bottom: -100px; } }
  .timeline__hide-comments {
    display: inline-block;
    width: 100%;
    margin-bottom: 20px;
    text-align: center;
    color: #FFA640;
    text-decoration: underline;
    cursor: pointer; }
    @media (min-width: 530px) {
      .timeline__hide-comments {
        margin-left: 20px;
        text-align: left; } }
  .timeline__comments {
    margin-right: 5px;
    margin-bottom: 10px; }
  .timeline__new-comment {
    height: 60px;
    padding: 20px 20px 20px; }
    @media (min-width: 530px) {
      .timeline__new-comment {
        padding-top: 40px;
        height: 100px; } }
    .timeline__new-comment input {
      width: 100%;
      border: none;
      border-bottom: 2px solid #EBEBEB;
      font-size: 18px; }
      .timeline__new-comment input:focus {
        outline: 0;
        border-bottom: 2px solid #8298B9; }

.comments {
  max-height: 440px;
  transition: all 0.3s; }
  @media (min-width: 530px) {
    .comments {
      max-height: 470px; } }
  .comments--hide {
    transition: all 0.3s;
    visibility: hidden;
    opacity: 0;
    max-height: 0; }
  .comments__comment {
    display: flex;
    flex-direction: row;
    margin-right: 5px;
    padding: 30px 15px 25px 20px;
    border-bottom: 1px solid #EBEBEB; }
    .comments__comment:last-of-type {
      border-bottom: none; }
  .comments__img {
    height: 40px;
    width: 40px;
    border-radius: 50%; }
  .comments__details {
    display: flex;
    flex-direction: column;
    width: 100%;
    margin-top: 10px;
    margin-left: 10px; }
  .comments__desc {
    display: flex;
    justify-content: space-between; }
  .comments__author {
    color: #002C71; }
  .comments__day {
    color: #979797; }
  .comments__content {
    margin-bottom: 0;
    line-height: 21px; }

.scrollbar__track-vertical {
  border-radius: 100px;
  background-color: rgba(216, 216, 216, 0.3); }

.scrollbar__thumb-vertical {
  border-radius: 100px;
  background-color: rgba(0, 44, 113, 0.12); }
